From 67b99dc504f7e0e15621b82b735c7d8c7027379c Mon Sep 17 00:00:00 2001
From: Wen Gong <wgong@codeaurora.org>
Date: Fri, 10 Apr 2020 18:45:40 +0800
Subject: [PATCH 32/69] ath11k: enable pkt log default for QCA6390

When ath11k set HTT_H2T_MSG_TYPE_PPDU_STATS_CFG to firmware by default
when start, firmware not report HTT_T2H_MSG_TYPE_PPDU_STATS_IND without
pkt log enable.

Tested-on: QCA6390 hw2.0 PCI WLAN.HST.1.0.1-01230-QCAHSTSWPLZ_V2_TO_X86-1

Signed-off-by: Wen Gong <wgong@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/mac.c | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/drivers/net/wireless/ath/ath11k/mac.c b/drivers/net/wireless/ath/ath11k/mac.c
index c8f0a8936273..ba934b3978ca 100644
--- a/drivers/net/wireless/ath/ath11k/mac.c
+++ b/drivers/net/wireless/ath/ath11k/mac.c
@@ -4340,6 +4340,14 @@ static int ath11k_mac_op_start(struct ieee80211_hw *hw)
 		goto err;
 	}
 
+	if (ar->ab->hw_params.single_pdev_only) {
+		ret = ath11k_wmi_pdev_pktlog_enable(ar, 0xff);
+		if (ret) {
+			ath11k_err(ab, "failed to enable pktlog filter: %d\n", ret);
+			goto err;
+		}
+	}
+
 	ret = ath11k_dp_tx_htt_h2t_ppdu_stats_req(ar,
 						  HTT_PPDU_STATS_TAG_DEFAULT);
 	if (ret) {
-- 
2.25.1

